
using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Sys_UserAccount
	/// </summary>
	public partial class T_Sys_UserAccount
	{
		private readonly ZXDT.CallCenter.DAL.T_Sys_UserAccount dal=new ZXDT.CallCenter.DAL.T_Sys_UserAccount();
		public T_Sys_UserAccount()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_UserId)
		{
			return dal.Exists(F_UserId);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(ZXDT.CallCenter.Model.T_Sys_UserAccount model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Sys_UserAccount model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_UserId)
		{
			
			return dal.Delete(F_UserId);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_UserIdlist )
		{
			return dal.DeleteList(F_UserIdlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Sys_UserAccount GetModel(int F_UserId)
		{			
			return dal.GetModel(F_UserId);
		}
        public ZXDT.CallCenter.Model.T_Sys_UserAccount GetModel(string Where)
        {
            return dal.GetModel(Where);
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Sys_UserAccount GetModelByUserCode(string  userCode)
        {
            return dal.GetModelByUserCode(userCode);
        }
        ///// <summary>
        ///// 得到一个对象实体，从缓存中
        ///// </summary>
        //public ZXDT.CallCenter.Model.T_Sys_UserAccount GetModelByCache(int F_UserId)
        //{
			
        //    string CacheKey = "T_Sys_UserAccountModel-" + F_UserId;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_UserId);
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (ZXDT.CallCenter.Model.T_Sys_UserAccount)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
          /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string userName,string passWord)
        {
            return dal.GetList(userName, passWord);
        }
        public DataSet GetListView(string strWhere)
        {
            return dal.GetListView(strWhere);
        }
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Sys_UserAccount> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Sys_UserAccount> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Sys_UserAccount> modelList = new List<ZXDT.CallCenter.Model.T_Sys_UserAccount>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Sys_UserAccount model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = dal.DataRowToModel(dt.Rows[n]);
					if (model != null)
					{
						modelList.Add(model);
					}
				}
			}
			return modelList;
		}

        public List<ZXDT.CallCenter.Model.T_Sys_UserAccount> DataTableToList1(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Sys_UserAccount> modelList = new List<ZXDT.CallCenter.Model.T_Sys_UserAccount>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Sys_UserAccount model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel1(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}
        public bool UpdateWXId(string collName, int keyID, int userId)
        {
            return dal.UpdateWXId( collName,  keyID, userId);
        }
		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

